Package org.apache.ignite.events

## Class DeploymentEvent

- java.lang.Object
- - org.apache.ignite.events.EventAdapter
  - - org.apache.ignite.events.DeploymentEvent

- All Implemented Interfaces:
    `Serializable`, `Comparable<Event>`, `Event`

      public class DeploymentEvent
      extends EventAdapter

  Grid deployment event.

  Grid events are used for notification about what happens within the grid. Note that by design Ignite keeps all events generated on the local node locally and it provides APIs for performing a distributed queries across multiple nodes:

  - `IgniteEvents.remoteQuery(org.apache.ignite.lang.IgnitePredicate, long, int...)` - asynchronously querying events occurred on the nodes specified, including remote nodes.
  - `IgniteEvents.localQuery(org.apache.ignite.lang.IgnitePredicate, int...)` - querying only local events stored on this local node.
  - `IgniteEvents.localListen(org.apache.ignite.lang.IgnitePredicate, int...)` - listening to local grid events (events from remote nodes not included).
  User can also wait for events using method `IgniteEvents.waitForLocal(org.apache.ignite.lang.IgnitePredicate, int...)`.

  # Events and Performance

  Note that by default all events in Ignite are enabled and therefore generated and stored by whatever event storage SPI is configured. Ignite can and often does generate thousands events per seconds under the load and therefore it creates a significant additional load on the system. If these events are not needed by the application this load is unnecessary and leads to significant performance degradation.

  It is highly recommended to enable only those events that your application logic requires by using `IgniteConfiguration.getIncludeEventTypes()` method in Ignite configuration. Note that certain events are required for Ignite's internal operations and such events will still be generated but not stored by event storage SPI if they are disabled in Ignite configuration.

  See Also:
    `EventType.EVT_CLASS_DEPLOY_FAILED`, `EventType.EVT_CLASS_DEPLOYED`, `EventType.EVT_CLASS_UNDEPLOYED`, `EventType.EVT_TASK_DEPLOY_FAILED`, `EventType.EVT_TASK_DEPLOYED`, `EventType.EVT_TASK_UNDEPLOYED`, `EventType.EVTS_DEPLOYMENT`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DeploymentEvent()` | No-arg constructor.
    `DeploymentEvent​(ClusterNode node, String msg, int type)` | Creates deployment event with given parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `alias()` | Gets deployment alias for this event.
    `void` | `alias​(String alias)` | Sets deployment alias for this event.
    `String` | `shortDisplay()` | Gets a shortened version of `toString()` result.
    `String` | `toString()`

    - ### Methods inherited from class org.apache.ignite.events.EventAdapter

      `compareTo, equals, hashCode, id, localOrder, message, message, name, node, node, timestamp, type, type`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DeploymentEvent

          public DeploymentEvent()

      No-arg constructor.

    - #### DeploymentEvent

          public DeploymentEvent​(ClusterNode node,
                                 String msg,
                                 int type)

      Creates deployment event with given parameters.
      Parameters:
        `node` - Node.
        `msg` - Optional event message.
        `type` - Event type.

  - ### Method Detail

    - #### shortDisplay

          public String shortDisplay()

      Gets a shortened version of `toString()` result. Suitable for humans to read.
      Specified by:
        `shortDisplay` in interface `Event`
      Overrides:
        `shortDisplay` in class `EventAdapter`
      Returns:
        Shortened version of `toString()` result.

    - #### alias

          public String alias()

      Gets deployment alias for this event.
      Returns:
        Deployment alias.

    - #### alias

          public void alias​(String alias)

      Sets deployment alias for this event.
      Parameters:
        `alias` - Deployment alias.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `EventAdapter`